# Class CIM_VirtualSystemSettingDataComponent
extends CIM_Component

The CIM_VirtualSystemSettingDataComponent association establishes a 'part of' relationship between an instance of the CIM_VirtualSystemSettingData class and a set of instances of the CIM_ResourceAllocationSettingData class.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_VirtualSystemSettingDataComponent

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | The CIM_VirtualSystemSettingDataComponent association establishes a 'part of' relationship between an instance of the CIM_VirtualSystemSettingData class and a set of instances of the CIM_ResourceAllocationSettingData class.
UMLPackagePath | string | CIM::System::SystemElements
Version | string | 2.22.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_VirtualSystemSettingDataComponent | CIM_VirtualSystemSettingData
PartComponent | CIM_VirtualSystemSettingDataComponent | CIM_ResourceAllocationSettingData

## Class Methods